com.r3corda.core.testing / TestLedgerDSLInterpreter / _transaction

# _transaction

`fun _transaction(transactionLabel: String?, transactionBuilder: TransactionBuilder, dsl: TransactionDSL<TestTransactionDSLInterpreter>.() -> EnforceVerifyOrFail): WireTransaction`

Creates and adds a transaction to the ledger.

### Parameters

`transactionLabel` - Optional label of the transaction, to be used in diagnostic messages.
`transactionBuilder` - The base transactionBuilder that will be used to build the transaction.
`dsl` - The dsl that should be interpreted for building the transaction.

Return
The final WireTransaction of the built transaction.